Create a finding
curl --request POST \
--url https://api.zelto.ai/v1/findings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": {},
"status": "open",
"priority": "none",
"tags": [],
"findingType": 123,
"conversationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"analyzedFromDate": "2023-11-07T05:31:56Z",
"analyzedToDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.zelto.ai/v1/findings"
payload = {
"title": "<string>",
"description": {},
"status": "open",
"priority": "none",
"tags": [],
"findingType": 123,
"conversationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"analyzedFromDate": "2023-11-07T05:31:56Z",
"analyzedToDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: {},
status: 'open',
priority: 'none',
tags: [],
findingType: 123,
conversationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
analyzedFromDate: '2023-11-07T05:31:56Z',
analyzedToDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.zelto.ai/v1/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": {},
"findingType": 123,
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Findings
Create a finding
POST
/
v1
/
findings
Create a finding
Authorizations
Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.
Body
application/json
Minimum string length:
1TipTap JSON document.
Available options:
open, acknowledged, resolved, ignored Available options:
none, low, medium, high, urgent Optional conversation UUIDs to attach to the new finding on creation.
Optional start of the analyzed time range this finding summarizes.
Optional end of the analyzed time range this finding summarizes.
Response
Created finding.
Available options:
open, acknowledged, resolved, ignored Available options:
none, low, medium, high, urgent TipTap JSON document.
⌘I

